#
# spec file for package ccze
#
# Copyright (c) 2025 SUSE LLC
# Copyright (c) 2016 Sebastian Wagner <sebix+novell.com@sebix.at>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ccze
Version:        0.2.1.2
Release:        4.1
Summary:        A log colorizer
License:        GPL-2.0-or-later
URL:            https://git.madhouse-project.org/archive/ccze
Source:         ccze-0.2.1-2.tar.gz
Patch0:         license-fsf.diff
Patch1:         fix_capitalization_typo.patch
Patch2:         fix_passing_LDFLAGS_for_ccze-cssdump.patch
Patch3:         fix-national-encoding.patch
Patch4:         cross.patch
Patch5:         pcre2.patch
Patch6:         memory-leak.patch
Patch7:         uninitialised-value.patch
BuildRequires:  autoconf
BuildRequires:  ncurses-devel >= 5.0
BuildRequires:  pcre2-devel

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name}

%description
CCZE is a modular log colorizer, with plugins for apm,
exim, fetchmail, httpd, postfix, procmail, squid, syslog, ulogd,
vsftpd, xferlog and more.

%description devel
This package contains libraries and header files for developing
applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{name}-0.2.1-2

%build
autoheader
autoconf
%configure --with-builtins=all
%make_build

%install
%make_install
install -d %{buildroot}/%{_sysconfdir}
src/ccze-dump > %{buildroot}/%{_sysconfdir}/cczerc

%check
make check TESTS="version.test bug-wnum.test bug-procmailsubj2.test \
                  bug-sysrepeat.test bug-httpd.test bug-dpkg.test"

%files
%license COPYING
%doc NEWS THANKS FAQ ChangeLog ChangeLog-0.1 README
%config(noreplace) %{_sysconfdir}/cczerc
%{_bindir}/ccze
%{_bindir}/ccze-cssdump
%{_mandir}/man1/ccze.1%{?ext_man}
%{_mandir}/man1/ccze-cssdump.1%{?ext_man}
%{_mandir}/man7/ccze-plugin.7%{?ext_man}

%files devel
%{_includedir}/ccze.h
%license COPYING

%changelog
* Fri Mar 21 2025 Ana Guerrero <ana.guerrero@suse.com>
- GitHub repository have been removed:
  * switch to upstream's archived repository as homepage.
  * do not download tarball from GitHub
- Add directly patches from Debian that aren't applid already,
  they include PCRE2 porting:
  * fix_passing_LDFLAGS_for_ccze-cssdump.patch
  * fix_capitalization_typo.patch
  * fix-national-encoding.patch
  * cross.patch
  * pcre2.patch
  * memory-leak.patch
  * uninitialised-value.patch
- Switch to PCRE2
- Only run updated tests
- Spec cleanup
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Sat Feb 11 2017 jengelh@inai.de
- Abandon unnecessary %%__-type macro indirections.
  Trim description.
* Fri Dec 30 2016 sebix+novell.com@sebix.at
- first package
- use license-fsf.diff to fix fsf postal address in license texts
- use patches from debian package:
  * 288834_FTBFS_unrecognized_command_line_option_-Wmulticharacter.patch
  * doc___ccze.1.in.patch
  * fix_capitalization_typo.patch
  * fix_passing_LDFLAGS_for_ccze-cssdump.patch
  * src___ccze.c.patch
  * src___ccze-wordcolor.c_positive-numbers.patch
  * src___ccze-wordcolor.c_virus+clean.patch
  * src___mod_syslog.c.patch
